# Note: as of 4.49 old API was removed making all glpk users (ppl and octave) not to build.
#	Please don't STBR glpk >= 4.49 until ppl and octave are ported to new glpk API
Summary:	Solver LP and MIP problems
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP
Name:		glpk
Version:	4.55
Release:	2
License:	GPL v3+
Group:		Applications/Math
Source0:	http://ftp.gnu.org/gnu/glpk/%{name}-%{version}.tar.gz
# Source0-md5:	c632a7a631b8aed02e28eafcd99477f7
Patch0:		%{name}-dl.patch
Patch1:		%{name}-sonames.patch
URL:		http://www.gnu.org/software/glpk/glpk.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	mysql-devel >= 5.5.10
BuildRequires:	unixODBC-devel >= 2.3.1
%ifarch %{x8664} ppc64 sparc64 s390x
Suggests:	libodbc.so.2()(64bit)
Suggests:	libmysqlclient.so.18()(64bit)
%else
Suggests:	libodbc.so.2
Suggests:	libmysqlclient.so.18
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GLPK package is intended for solving linear programming (LP) and
mixed integer linear programming (MIP) problems. It is a set of
routines organized in the form of a library and written in the ANSI C
programming language.

%description -l pl.UTF-8
Pakiet GLPK służy do rozwiązywania problemów programowania liniowego
(LP) oraz mieszanych problemów całkowitoliczbowego programowania
liniowego (MIP). Jest to zestaw narzędzi zorganizowanych w formie
biblioteki i napisanych w ANSI C.

%package devel
Summary:	Solver LP and MIP problems - header file
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP - plik nagłówkowy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Solver LP and MIP problems - development files.

%description devel -l pl.UTF-8
Narzędzie do rozwiązywania problemów LP i MIP - pliki dla
programistów.

%package static
Summary:	Solver LP and MIP problems - static library
Summary(pl.UTF-8):	Narzędzie do rozwiązywania problemów LP i MIP - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Solver LP and MIP problems - static library.

%description static -l pl.UTF-8
Narzędzie do rozwiązywania problemów LP i MIP - biblioteka statyczna.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-dl=dlfcn \
	--enable-mysql \
	--enable-odbc=unix \
	--with-gmp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS doc/{*.txt,*.pdf,notes}
%attr(755,root,root) %{_bindir}/glpsol
%attr(755,root,root) %{_libdir}/libglpk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglpk.so.36

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglpk.so
%{_libdir}/libglpk.la
%{_includedir}/glpk.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libglpk.a
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glpk.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7f1b310
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 017e971
- updated to 4.55

* Thu Apr 03 2014 Jakub Bogusz <qboosh@pld-linux.org> bd5daa6
- updated to 4.54

* Fri Feb 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 0819e59
- updated to 4.53

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 99dc32b
- updated to 4.52.1 (note: new soname)

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 7c3fd95
- updated to 4.52

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> d95d642
- updated to 4.51 (note: new soname)

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 57912ea
- up to 4.50 (note: new soname)

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> f7cae34
- added API breakage note

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 16f8ff3
- updated to 4.49 (note: new soname)
- updated sonames patch and dependencies for current unixODBC and mysql

* Fri Feb 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 3ef0927
- updated to 4.48 (note: new soname)

* Mon Sep 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 594f263
- updated to 4.47

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> cd8be23
- updated to 4.46

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 2b0c56e
- %description for correct %package

* Mon Jan 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 44e6302
- release 2

* Wed Dec 08 2010 Jakub Bogusz <qboosh@pld-linux.org> b219172
- updated to 4.45

* Sat Oct 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 1c7f722
- updated to 4.44
- switched to unixODBC
- added dl patch to link with -ldl (SQL libs are dlopened)
- added sonames patch to dlopen by soname, not *.so (added sonames to Suggests)

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6eb8130
- release 4

* Tue Dec 15 2009 Szymon Siwek <sls@pld-linux.org> bac46b6
- added BR: gmp-devel

* Thu Jun 26 2008 Elan Ruusamäe <glen@pld-linux.org> 43d72bd
- libtool BR for --install arg

